{% extends get_admin_template('base_list_field', admin.code) %}

{% block field %}
    {% set record = getStudentMarkRecord(object) %}
    {% if record is null or record.marks is empty %}
        No marks found
    {% else %}
        {% for module, mark in record.marks %}
            {% set markFulfilment = max((mark - 40) * 100 / 40, 0) %}
            {{ module }}: <span style="color: rgb({{ 255 - (markFulfilment * 2) }}, {{ markFulfilment * 2 }}, 0)">{{ mark }}</span>{% if not loop.last %},{% endif %}
        {% endfor %}
    {% endif %}
{% endblock %}
